#
# spec file for package python-PyECLib
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyECLib
Version:        1.6.1
Release:        1.15
Summary:        Simple interface for implementing erasure codes
License:        BSD-3-Clause
URL:            https://git.openstack.org/cgit/openstack/pyeclib/
Source:         https://files.pythonhosted.org/packages/source/p/pyeclib/pyeclib-%{version}.tar.gz
Source99:       https://opendev.org/openstack/pyeclib/raw/branch/master/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  liberasurecode-devel >= 1.4.0
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This library makes use of Jesasure for Reed-Solomon as implemented by the
liberasurecode library and provides its' own flat XOR-based erasure code
encoder and decoder.  Currently, it implements a specific class of HD
Combination Codes (see "Flat XOR-based erasure codes in storage systems:
Constructions, efficient recovery, and tradeoffs" in IEEE MSST 2010).  These
codes are well-suited to archival use-cases, have a simple construction and
require a minimum number of participating disks during single-disk
reconstruction (think XOR-based LRC code).

%prep
%setup -q -n pyeclib-%{version}
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pyunittest_arch discover -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/pyeclib*

%changelog
* Thu May  5 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.6.1:
  * Deprecate Jerasure support
  * Use Py_ssize_t when calling PyArg_Parse
  * Test against Python 3.8 - 3.10
  * Use the Python Stable ABI
  * Various other minor bugs fixes and improvements
- Stop skipping Python 3.10
- Update the license file location
* Tue Jan 11 2022 Dirk Müller <dmueller@suse.com>
- skip python 3.10 for now
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- six is needed by testsuite
* Thu Jun  3 2021 pgajdos@suse.com
- use %%pyunittest_arch rpm macro
* Tue Jun 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.6.0:
  * Find liberasurecode in more environments
  * Test against Python 3.7
  * Test with more backends
- Switch to singlespec
* Tue Oct 24 2017 dmueller@suse.com
- update to 1.5.0:
  * bugfixes
  * add support for Phazr.IO's erasure code library with built-in privacy
* Sat Jan  7 2017 dmueller@suse.com
- update to 1.4.0
* Sun Oct  9 2016 dmueller@suse.com
- update to 1.3.1:
  * no changelog available
- enable tests
* Mon Feb 29 2016 dmueller@suse.com
- update to 1.2.0:
  * no changelog available
* Wed Aug  5 2015 tbechtold@suse.com
- Add missing BuildRequires and Requires for jerasure
  and gf-complete libs
* Wed Jul 29 2015 tbechtold@suse.com
- Initial packaging
